// GMSH Model: Stick
// Author: Dai Weifeng
// Date: 20130923

Include "make_entity.h";
/* make_entity.h provides sphere and box builder
 */

Include "param.h";
/* W x L x H should be defined in param.h, example:
 * Stick_Width = 0.1;
 * Stick_Length = 0.1;
 * Stick_Height = 1.0;
 * Stick_CL = 0.01;
 */

BoxParam[] = {-Stick_Length/2, -Stick_Width/2, 0, Stick_Length/2, Stick_Width/2, Stick_Height, Stick_CL};
Call MakeBox;
 
StickBottomSurface = BoxBottomSurface;	// For Source
StickTopSurface = BoxTopSurface;		// For Emission
StickSideSurface[] = BoxSideSurface[];
StickVolume = BoxVolume;
Transfinite Surface {Boundary{Volume{BoxVolume};}};
// Physics Entity Definitions
Physical Surface(1001)={StickBottomSurface};
Physical Surface(1002)={StickTopSurface};
Physical Surface(1003)=StickSideSurface[];
Physical Volume(10001)={StickVolume};

// Mesh Parameter
Mesh.Binary = 1;
Mesh.Optimize = 1;
Mesh.RecombineAll = 1;

Mesh.Algorithm = 8;		// 8: Delaunay Quad, 1: MeshAdapt
Mesh.Algorithm3D = 6;	// 6: Frontal Hex, 1: Delaunay
